# Admin Directory API . privileges

## Instance Methods

Retrieves a paginated list of all privileges for a customer.

### Method Details

`list(customer)`

    Retrieves a paginated list of all privileges for a customer.

    Args:
      customer: string, Immutable ID of the Google Apps account. (required)

    Returns:
      An object of the form:

        { # JSON response template for List privileges operation in Directory API.
        "items": [ # A list of Privilege resources.
          { # JSON template for privilege resource in Directory API.
            "kind": "admin#directory#privilege", # The type of the API resource. This is always admin#directory#privilege.
            "privilegeName": "A String", # The name of the privilege.
            "isOuScopable": True or False, # If the privilege can be restricted to an organization unit.
            "serviceId": "A String", # The obfuscated ID of the service this privilege is for.
            "etag": "A String", # ETag of the resource.
            "childPrivileges": [ # A list of child privileges. Privileges for a service form a tree. Each privilege can have a list of child privileges; this list is empty for a leaf privilege.
              # Object with schema name: Privilege
            ],
            "serviceName": "A String", # The name of the service this privilege is for.
          },
        ],
        "kind": "admin#directory#privileges", # The type of the API resource. This is always admin#directory#privileges.
        "etag": "A String", # ETag of the resource.
      }